/*
Copyright (C) 2003 Bj\"orn Hoffmeister

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package de.uni_luebeck.tcs.matlab;

/**
* Rounding and Remainder
*/
public class Round {
	
	public static double sign(double d) {
		if (d > 0.0) {
			return 1.0;
		} else if (d < 0.0) {
			return -1.0;
		}
		return 0.0;
	}
	
	public static double fix(double d) {
		return (sign(d) * Math.floor(Math.abs(d)));
	}
}

		
